Package csb :: Package bio :: Package structure :: Class TorsionAnglesCollection

[frames] | no frames]

# Class TorsionAnglesCollection

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseCollectionContainer --+
                                   |
            core.CollectionContainer --+
                                       |
                                      TorsionAnglesCollection

Describes a collection of torsion angles. Provides 1-based list-like access.

Instance Methods

__init__(self, items=None, start=1) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

float

rmsd(self, other) Calculate the Circular RSMD against another TorsionAnglesCollection. | source code

update(self, angles) | source code

Inherited from `core.CollectionContainer`: `append` Inherited from `core.BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
list | omega List of all omega angles
list | phi List of all phi angles
list | psi List of all psi angles
Inherited from `core.BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `object`: `__class__`

Method Details

### __init__(self, items=None, start=1)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` (list) - an initialization list of TorsionAngles
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### rmsd(self, other)

source code

Calculate the Circular RSMD against another TorsionAnglesCollection.

Parameters:
  - `other` (TorsionAnglesCollection) - subject (right-hand-term)
Returns: float
  RMSD based on torsion angles
Raises:
  - `Broken3DStructureError` - on discontinuous torsion angle collections (phi and psi values are still allowed to be absent at the termini)
  - `ValueError` - on mismatching torsion angles collection lengths

Property Details

### omega

List of all omega angles

Get Method:
  unreachable.omega(self) - List of all omega angles
Type:
  list

### phi

List of all phi angles

Get Method:
  unreachable.phi(self) - List of all phi angles
Type:
  list

### psi

List of all psi angles

Get Method:
  unreachable.psi(self) - List of all psi angles
Type:
  list